package com.wdkl.ncs.android.middleware.model.dos;

import com.fasterxml.jackson.databind.PropertyNamingStrategy;
import com.fasterxml.jackson.databind.annotation.JsonNaming;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.wdkl.ncs.android.middleware.model.annotation.Column;
import com.wdkl.ncs.android.middleware.model.annotation.Id;
import com.wdkl.ncs.android.middleware.model.annotation.PrimaryKeyField;
import com.wdkl.ncs.android.middleware.model.annotation.Table;

import java.io.Serializable;

@Table(name = "ncs_shop")
@ApiModel
@JsonNaming(value = PropertyNamingStrategy.SnakeCaseStrategy.class)
public class ShopDO implements Serializable {

    /**
     * 机构Id
     */
    @Column(name = "shop_id")
    @ApiModelProperty(value = "机构Id", required = false)
    private Integer shopId;
    /**
     * 同步id
     */
    @Column(name = "union_id")
    @ApiModelProperty(value = "同步id", required = false)
    private String unionId;
    /**
     * 会员Id
     */
    @Column(name = "member_id")
    @ApiModelProperty(value = "会员Id", required = false)
    private Integer memberId;
    /**
     * 会员名称
     */
    @Column(name = "member_name")
    @ApiModelProperty(value = "会员名称", required = false)
    private String memberName;
    /**
     * 机构名称
     */
    @Column(name = "shop_name")
    @ApiModelProperty(value = "机构名称", required = false)
    private String shopName;
    /**
     * 店铺类型:0机构注册店铺 1个人注册店铺 2普通商家 3o2o店铺 4代理 5科室
     */
    @Column(name = "shop_type")
    @ApiModelProperty(value = "店铺类型:0机构注册店铺 1个人注册店铺 2普通商家 3o2o店铺 4代理 5科室", required = false)
    private String shopType;
    /**
     * 父结点
     */
    @Column(name = "parent_id")
    @ApiModelProperty(value = "父结点", required = false)
    private Integer parentId;
    /**
     * 全名
     */
    @Column(name = "full_name")
    @ApiModelProperty(value = "全名", required = false)
    private String fullName;


    @PrimaryKeyField
    public Integer getShopId() {
        return shopId;
    }

    public void setShopId(Integer shopId) {
        this.shopId = shopId;
    }


    public String getUnionId() {
        return unionId;
    }

    public void setUnionId(String unionId) {
        this.unionId = unionId;
    }


    public Integer getMemberId() {
        return memberId;
    }

    public void setMemberId(Integer memberId) {
        this.memberId = memberId;
    }


    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }


    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }


    public String getShopType() {
        return shopType;
    }

    public void setShopType(String shopType) {
        this.shopType = shopType;
    }


    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }


    public String getFullName() {
        return fullName;
    }

    public void setFullName(String fullName) {
        this.fullName = fullName;
    }

}
